.activate {
  display: table;
  background: #007bff;
  box-shadow: 0 4px 20px rgba(86, 40, 238, 0.15);
  line-height: 20px;
  padding: 12px;
  border-radius: 22px;
  color: #fff;
  font-weight: 500;
  cursor: pointer;
  -webkit-transition: background 0.3s ease, box-shadow 0.3s ease,
    -webkit-transform 0.2s ease;
  transition: background 0.3s ease, box-shadow 0.3s ease,
    -webkit-transform 0.2s ease;
  transition: transform 0.2s ease, background 0.3s ease, box-shadow 0.3s ease;
  transition: transform 0.2s ease, background 0.3s ease, box-shadow 0.3s ease,
    -webkit-transform 0.2s ease;
  text-decoration: none;
}
a:hover {
  color: #fff !important;
}
.activate span {
  display: inline-block;
  vertical-align: top;
  width: 20px;
  height: 20px;
  background: #fff;
  border-radius: 50%;
  margin: 0 4px 0 0;
  position: relative;
  overflow: hidden;
}
.activate span:before {
  content: "";
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  position: absolute;
  background: #007bff;
  border-radius: 50%;
  -webkit-transform: scale(0);
  transform: scale(0);
  -webkit-transition: background 0.3s ease, -webkit-transform 0.3s ease;
  transition: background 0.3s ease, -webkit-transform 0.3s ease;
  transition: transform 0.3s ease, background 0.3s ease;
  transition: transform 0.3s ease, background 0.3s ease,
    -webkit-transform 0.3s ease;
}
.activate span svg {
  position: absolute;
  width: 12px;
  height: 12px;
  left: 50%;
  top: 50%;
  margin: -6px 0 0 -6px;
  z-index: 1;
}
.activate span svg:nth-child(1) {
  width: 20px;
  height: 20px;
  top: 0;
  left: 0;
  fill: none;
  margin: 0;
  stroke: #fff;
  stroke-width: 1px;
  stroke-dashoffset: 94.248;
  stroke-dasharray: 47.124;
}
.activate span svg:nth-child(2) {
  fill: #007bff;
  -webkit-transition: -webkit-transform 0.4s
    cubic-bezier(0.175, 0.885, 0.32, 1.275);
  transition: -webkit-transform 0.4s cubic-bezier(0.175, 0.885, 0.32, 1.275);
  transition: transform 0.4s cubic-bezier(0.175, 0.885, 0.32, 1.275);
  transition: transform 0.4s cubic-bezier(0.175, 0.885, 0.32, 1.275),
    -webkit-transform 0.4s cubic-bezier(0.175, 0.885, 0.32, 1.275);
}
.activate span svg:nth-child(3) {
  fill: #007bff;
  -webkit-transform: translateY(20px);
  transform: translateY(20px);
  -webkit-transition: opacity 0.3s ease,
    -webkit-transform 0.4s cubic-bezier(0.175, 0.885, 0.32, 1.275);
  transition: opacity 0.3s ease,
    -webkit-transform 0.4s cubic-bezier(0.175, 0.885, 0.32, 1.275);
  transition: transform 0.4s cubic-bezier(0.175, 0.885, 0.32, 1.275),
    opacity 0.3s ease;
  transition: transform 0.4s cubic-bezier(0.175, 0.885, 0.32, 1.275),
    opacity 0.3s ease,
    -webkit-transform 0.4s cubic-bezier(0.175, 0.885, 0.32, 1.275);
}
.activate:hover {
  box-shadow: 0 8px 24px rgba(86, 40, 238, 0.15);
}
.activate:hover span svg:nth-child(2) {
  -webkit-transform: translateY(-20px);
  transform: translateY(-20px);
}
.activate:hover span svg:nth-child(3) {
  -webkit-transform: translateY(0);
  transform: translateY(0);
}
.activate:active {
  -webkit-transform: scale(0.94);
  transform: scale(0.94);
  box-shadow: 0 4px 16px rgba(63, 220, 117, 0.18);
}
.activate.loading span {
  background: none;
  -webkit-transition: background 0.1s ease 0.3s;
  transition: background 0.1s ease 0.3s;
}
.activate.loading span:before {
  -webkit-transform: scale(1);
  transform: scale(1);
}
.activate.loading span svg:nth-child(1) {
  -webkit-animation: turn 1.6s linear infinite forwards,
    path 1.6s linear infinite forwards;
  animation: turn 1.6s linear infinite forwards,
    path 1.6s linear infinite forwards;
}
.activate.loading span svg:nth-child(2) {
  -webkit-transform: translateY(-20px);
  transform: translateY(-20px);
}
.activate.loading span svg:nth-child(3) {
  opacity: 0;
  -webkit-transform: translateY(0) scale(0.6);
  transform: translateY(0) scale(0.6);
}
.activate.loading ul {
  -webkit-transform: rotateX(90deg);
  transform: rotateX(90deg);
}
.activate.loading.done {
  background: #3fdc75;
  box-shadow: 0 4px 20px rgba(63, 220, 117, 0.15);
}
.activate.loading.done span {
  background: #fff;
  -webkit-transition: background 0.1s ease 0s;
  transition: background 0.1s ease 0s;
}
.activate.loading.done span:before {
  background: #3fdc75;
  -webkit-transform: scale(0);
  transform: scale(0);
}
.activate.loading.done span svg:nth-child(1) {
  -webkit-animation: none;
  animation: none;
}
.activate.loading.done span svg:nth-child(3) {
  fill: #3fdc75;
  opacity: 1;
  -webkit-transform: scale(1);
  transform: scale(1);
  -webkit-transition: opacity 0.4s ease 0.25s,
    -webkit-transform 0.4s cubic-bezier(0.175, 0.885, 0.32, 1.275) 0.3s;
  transition: opacity 0.4s ease 0.25s,
    -webkit-transform 0.4s cubic-bezier(0.175, 0.885, 0.32, 1.275) 0.3s;
  transition: transform 0.4s cubic-bezier(0.175, 0.885, 0.32, 1.275) 0.3s,
    opacity 0.4s ease 0.25s;
  transition: transform 0.4s cubic-bezier(0.175, 0.885, 0.32, 1.275) 0.3s,
    opacity 0.4s ease 0.25s,
    -webkit-transform 0.4s cubic-bezier(0.175, 0.885, 0.32, 1.275) 0.3s;
}
.activate.loading.done ul {
  -webkit-transform: rotateX(180deg);
  transform: rotateX(180deg);
}
.activate ul {
  padding: 0;
  margin: 0;
  list-style: none;
  height: 20px;
  width: 120px;
  display: inline-block;
  vertical-align: top;
  text-align: center;
  position: relative;
  -webkit-transform-style: preserve-3d;
  transform-style: preserve-3d;
  -webkit-transition: -webkit-transform 0.3s ease;
  transition: -webkit-transform 0.3s ease;
  transition: transform 0.3s ease;
  transition: transform 0.3s ease, -webkit-transform 0.3s ease;
}
.activate ul li {
  --rotateX: 0deg;
  -webkit-backface-visibility: hidden;
  backface-visibility: hidden;
  position: absolute;
  top: 0;
  bottom: 0;
  width: 100%;
  -webkit-transform-origin: 50% 50%;
  transform-origin: 50% 50%;
  -webkit-transform: rotateX(var(--rotateX)) translateZ(10px);
  transform: rotateX(var(--rotateX)) translateZ(10px);
}
.activate ul li:nth-child(2) {
  --rotateX: -90deg;
}
.activate ul li:nth-child(3) {
  --rotateX: -180deg;
}

@-webkit-keyframes turn {
  100% {
    -webkit-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}

@keyframes turn {
  100% {
    -webkit-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}
@-webkit-keyframes path {
  100% {
    stroke-dashoffset: 0;
  }
}
@keyframes path {
  100% {
    stroke-dashoffset: 0;
  }
}
html {
  box-sizing: border-box;
  -webkit-font-smoothing: antialiased;
}

* {
  box-sizing: inherit;
}
*:before,
*:after {
  box-sizing: inherit;
}

body {
  min-height: 100vh;
  font-family: "Mukta Malar", Arial;
  color: #adafb6;
  display: -webkit-box;
  display: flex;
  -webkit-box-pack: center;
  justify-content: center;
  -webkit-box-align: center;
  align-items: center;
}
body .dribbble {
  position: fixed;
  display: block;
  right: 20px;
  bottom: 20px;
}
body .dribbble img {
  display: block;
  height: 28px;
}